Bug 135704 - kfind crashes when selecting Contents tab
kfind crashes when selecting Contents tab
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 11:22 EDT by James Stephens
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Stephens 2004-10-14 11:22:30 EDT
Description of problem:
If you bring up 'Find Files' (kfind) from the KDE start menu, when
searching with the 'Contents' tab, the application crashes with the
following information: 

Version-Release number of selected component (if applicable):
kdebase-3.1.3-5.4

Steps to Reproduce:
1. Run kfind
2. Click on "Contents" tab
  
Actual results:

kfind crashes with the output:

The application KFind (kfind) crashed and caused the signal 11 (SIGSEGV)

An application mostly receives teh SIGSEGV signal due to a bug in the
application.  the application was asked to save its documents.

You might want to send a bug report to the author.  Please include as much
information as possible, maybe the original documents.  If you have a
way to
reproduce the error, include this also.
============================================================================

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New
Thread 1092338176 (LWP 4693)]
                                                                     
        
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0xffffe002 in ?? ()
#0  0xffffe002 in ?? ()
#1  0x4062630d in KCrash::defaultCrashHandler(int) ()
  from /usr/lib/libkdecore.so.4
#2  <signal handler called>
#3  0x40c383d7 in QString::find(QString const&, int, bool) const ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#4  0x08068ac5 in KQuery::staticMetaObject() ()
#5  0x080679dd in KQuery::staticMetaObject() ()
#6  0x409bb209 in QObject::activate_signal(QConnectionList*, QUObject*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#7  0x401601f4 in KIO::ListJob::entries(KIO::Job*,
QValueList<QValueList<KIO::UDSAtom> > const&) () from /usr/lib/libkio.so.4
#8  0x40151897 in
KIO::ListJob::slotListEntries(QValueList<QValueList<KIO::UDSAtom> >
const&) () from /usr/lib/libkio.so.4
#9  0x40160479 in KIO::ListJob::qt_invoke(int, QUObject*) ()
  from /usr/lib/libkio.so.4
#10 0x409bb209 in QObject::activate_signal(QConnectionList*, QUObject*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#11 0x40140475 in
KIO::SlaveInterface::listEntries(QValueList<QValueList<KIO::UDSAtom> >
const&) () from /usr/lib/libkio.so.4
#12 0x4013f201 in KIO::SlaveInterface::dispatch(int, QMemArray<char>
const&) ()
  from /usr/lib/libkio.so.4
#13 0x4013e759 in KIO::SlaveInterface::dispatch() () from
/usr/lib/libkio.so.4
#14 0x4013c34b in KIO::Slave::gotInput() () from /usr/lib/libkio.so.4
#15 0x4013de00 in KIO::Slave::qt_invoke(int, QUObject*) ()
  from /usr/lib/libkio.so.4
#16 0x409bb209 in QObject::activate_signal(QConnectionList*, QUObject*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#17 0x409bb2e5 in QObject::activate_signal(int, int) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#18 0x40c9bc42 in QSocketNotifier::activated(int) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#19 0x409d75f0 in QSocketNotifier::event(QEvent*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#20 0x4095cec4 in QApplication::internalNotify(QObject*, QEvent*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#21 0x4095cab9 in QApplication::notify(QObject*, QEvent*) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#22 0x405b8929 in KApplication::notify(QObject*, QEvent*) ()
  from /usr/lib/libkdecore.so.4
#23 0x40937eaa in QEventLoop::activateSocketNotifiers() ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#24 0x409158c7 in QEventLoop::processEvents(unsigned) ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#25 0x40970c66 in QEventLoop::enterLoop() ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#26 0x4095d151 in QApplication::enter_loop() ()
  from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#27 0x40b1e741 in QDialog::exec() () from
/usr/lib/qt-3.1/lib/libqt-mt.so.3
#28 0x0805cbd5 in QComboBox::setAutoCompletion(bool) ()
#29 0x42015704 in __libc_start_main () from /lib/tls/libc.so.6
Comment 1 RHEL Product and Program Management 2007-10-19 15:16:00 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.